tigase.server.script

## Class Script

- java.lang.Object
- - tigase.server.script.AbstractScriptCommand
  - - tigase.server.script.Script

- All Implemented Interfaces:
    CommandIfc

      public class Script
      extends AbstractScriptCommand

  Created: Jan 2, 2009 1:21:55 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.script.AbstractScriptCommand

      `lineCommentStart`

    - ### Fields inherited from interface tigase.server.script.CommandIfc

      `ADD_SCRIPT_CMD, ADMINS_SET, ADMN_CMDS, ADMN_DISC, AUTH_REPO, COMMAND_ID, COMMANDS_ACL, COMPONENT, COMPONENT_NAME, DEL_SCRIPT_CMD, DESCRIPT, GROUP, LANGUAGE, PACKET, REMOVE_FROM_DISK, SAVE_TO_DISK, SCRI_MANA, SCRIPT_BASE_DIR, SCRIPT_CLASS, SCRIPT_COMP_DIR, SCRIPT_COMPONENT, SCRIPT_DESCRIPTION, SCRIPT_GROUP, SCRIPT_ID, SCRIPT_RESULT, SCRIPT_TEXT, SERVICES_MAP, USER_CONN, USER_REPO, USER_SESS, VHOST_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Script()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `getBindings()` Method description
    `String` | `getFileExtension()`
    `String` | `getLanguageName()`
    `void` | `init(String id, String description, String group, String script, String lang, String ext, Bindings binds)` Method description
    `void` | `runCommand(Iq packet, Bindings binds, Queue<Packet> results)`

    - ### Methods inherited from class tigase.server.script.AbstractScriptCommand

      `getCommandId, getDescription, getGroup, init, isAdminOnly, isEmpty, setAdminOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Script

          public Script()

  - ### Method Detail

    - #### getBindings

          public Bindings getBindings()

      Description copied from interface: `CommandIfc`
      Method description

    - #### getFileExtension

          public String getFileExtension()

    - #### getLanguageName

          public String getLanguageName()

    - #### init

          public void init(String id,
                  String description,
                  String group,
                  String script,
                  String lang,
                  String ext,
                  Bindings binds)
                    throws ScriptException

      Method description
      Parameters:
        `id` -
        `description` -
        `group` -
        `script` -
        `lang` -
        `ext` -
        `binds` -
      Throws:
        `ScriptException`

    - #### runCommand

          public void runCommand(Iq packet,
                        Bindings binds,
                        Queue<Packet> results)

Copyright © 2015 "Tigase, Inc.". All rights reserved.